Deals
Create Deal
Custom fields can be written as additional top-level properties using each custom field key. Values are validated against the field definitions returned by List Custom Fields.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
include_details?array<string>
Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar.
Items
items <= 10Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Human-readable name of the resource.
external_id?|
Identifier assigned by an external system.
status_key*string
Status Key value for this resource.
Length
1 <= lengthtype_key*string
Type Key value for this resource.
Length
1 <= lengthassignee_id?|
Unique identifier of the related assignee.
contact_id*string
Unique identifier of the related contact.
Format
uuidvalue?||
Value value for this resource.
currency?"CHF" | "EUR" | "USD"
Currency value for this resource.
won_at?|
Timestamp for won at.
lost_at?|
Timestamp for lost at.
[key: string]?unknown
Response Body
application/json
curl -X POST "https://api.getmateo.com/v1/deals" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "status_key": "string", "type_key": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "property1": null, "property2": null }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_id": "string", "name": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8", "type_key": "string", "status_key": "string", "value": 0, "currency": "CHF", "won_at": "2019-08-24T14:15:22Z", "lost_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "property1": null, "property2": null}